Loading...
Searching...
No Matches
Ogre::OverlayElementFactory Class Referenceabstract
Optional Components » Overlay

Defines the interface which all components wishing to supply OverlayElement subclasses must implement. More...

`#include <OgreOverlayElementFactory.h>`

Inheritance diagram for Ogre::OverlayElementFactory:
[legend]

## Public Member Functions

virtual | ~OverlayElementFactory ()
| Destroy the overlay element factory.
virtual OverlayElement * | createOverlayElement (const String &instanceName)=0
| Creates a new OverlayElement instance with the name supplied.
virtual void | destroyOverlayElement (OverlayElement *pElement)
| Destroys a OverlayElement which this factory created previously.
virtual const String & | getTypeName (void) const =0
| Gets the string uniquely identifying the type of element this factory creates.

## Detailed Description

Defines the interface which all components wishing to supply OverlayElement subclasses must implement.

To allow the OverlayElement types available for inclusion on overlays to be extended, OGRE allows external apps or plugins to register their ability to create custom OverlayElements with the OverlayManager, using the addOverlayElementFactory method. Classes wanting to do this must implement this interface.

  Each OverlayElementFactory creates a single type of OverlayElement, identified by a 'type name' which must be unique.

## Constructor & Destructor Documentation

## ~OverlayElementFactory()

virtual Ogre::OverlayElementFactory::~OverlayElementFactory | ( |  | ) |

inline virtual

Destroy the overlay element factory.

## Member Function Documentation

## createOverlayElement()

virtual OverlayElement * Ogre::OverlayElementFactory::createOverlayElement | ( | const String & | instanceName | ) |

pure virtual

Creates a new OverlayElement instance with the name supplied.

References OGRE_NODISCARD.

## destroyOverlayElement()

virtual void Ogre::OverlayElementFactory::destroyOverlayElement | ( | OverlayElement * | pElement | ) |

inline virtual

Destroys a OverlayElement which this factory created previously.

## getTypeName()

virtual const String & Ogre::OverlayElementFactory::getTypeName | ( | void |  | ) | const

pure virtual

Gets the string uniquely identifying the type of element this factory creates.

The documentation for this class was generated from the following file:

- OgreOverlayElementFactory.h